Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066576 - the xmlrpc response should contain error messages
Summary: the xmlrpc response should contain error messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-scheduler-proxy
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Doron Fediuck
QA Contact: Artyom
URL:
Whiteboard: sla
Depends On: 1056540
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 16:30 UTC by Jiri Moskovcak
Modified: 2016-02-10 20:13 UTC (History)
9 users (show)

Fixed In Version: ovirt-scheduler-proxy-0.1.3-7.el6ev
Doc Type: Bug Fix
Doc Text:
Clone Of: 1056540
Environment:
Last Closed: 2015-02-11 17:37:10 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0212 normal SHIPPED_LIVE ovirt-scheduler-proxy bug fix and enhancement update 2015-02-11 22:33:03 UTC
oVirt gerrit 24662 None MERGED engine: show the errors from external scheduler in the event log Never
oVirt gerrit 24683 None None None Never

Description Jiri Moskovcak 2014-02-18 16:30:29 UTC
If there is a problem while running the requested action, the response should contain an error message explaining what went wrong, so user is notified and can react on it.

+++ This bug was initially created as a clone of Bug #1056540 +++

Description of problem:
Right now we handle 2 scenarios:
   1. one of the filters requested by the engine does not exist - the
ext-scheduler throws an exception and stops if just one of many is wrong
   2. the filters exist, but all have failed - in this case the
ext-scheduler returns the full host list

The case 1 should be changed so the missing filter is just skipped. The
second case should return error.

Actual results:
In case of failing filters the scheduler returns not filtered host list and engine can't recognize if it's a correct result of filtering or an error state.

Expected results:
engine is notified about the failures in the external filters

Comment 4 Artyom 2014-10-27 12:03:09 UTC
Please specify build that include this patches.
Thanks

Comment 5 Jiri Moskovcak 2014-10-29 07:05:15 UTC
(In reply to Artyom from comment #4)
> Please specify build that include this patches.
> Thanks

any 3.5 engine + ovirt-scheduler-proxy-0.1.5

Comment 6 Artyom 2014-10-30 16:07:03 UTC
last build have version ovirt-scheduler-proxy-0.1.3-5.el6ev.noarch, wait for ovirt-scheduler-proxy-0.1.5* version.

Comment 7 Artyom 2014-11-06 15:02:09 UTC
Verified on ovirt-scheduler-proxy-0.1.3-7.el6ev
	
2014-Nov-06, 16:53
	
Running the external scheduler plugin 'vm_balance' failed: 'Load balance requested but was not found: vm_balance'
	
2014-Nov-06, 16:53
	
VM test_external was started by admin (Host: alma06.qa.lab.tlv.redhat.com).
	
2014-Nov-06, 16:53
	
Running the external scheduler plugin 'ksm_same_os_score' failed: 'plugin not found: 'ksm_same_os_score''
	
2014-Nov-06, 16:53
	
Running the external scheduler failed: 'all filters failed'

Comment 8 Julie 2014-11-12 22:42:40 UTC
Hi Jiri,
If this bug requires doc text for errata release, please provide draft text in the following format:
Cause: 
Consequence: 
Fix: 
Result: 
The documentation team will review, edit, and approve the text. 
If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Comment 12 errata-xmlrpc 2015-02-11 17:37:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0212.html


Note You need to log in before you can comment on or make changes to this bug.